Package ghidra.trace.database.target

# Class DBTraceObjectDBFieldCodec<OV extends DBAnnotatedObject & ghidra.trace.database.target.TraceObjectValueStorage>

java.lang.Object
ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec<DBTraceObject,OV,LongField>
ghidra.trace.database.target.DBTraceObjectDBFieldCodec<OV>

All Implemented Interfaces:
  `DBCachedObjectStoreFactory.DBFieldCodec<DBTraceObject,OV,LongField>`

public class DBTraceObjectDBFieldCodec<OV extends DBAnnotatedObject & ghidra.trace.database.target.TraceObjectValueStorage> extends DBCachedObjectStoreFactory.AbstractDBFieldCodec<DBTraceObject,OV,LongField>

- ## Field Summary

  ### Fields inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `column, field, fieldType, objectType, valueType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceObjectDBFieldCodec(Class<OV> objectType, Field field, int column)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static DBTraceObject`
  `decode(ghidra.trace.database.target.TraceObjectValueStorage ent, long enc)`
  `protected void`
  `doLoad(OV obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `protected void`
  `doStore(OV obj, DBRecord record)`
  Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
  `protected static long`
  `encode(DBTraceObject value)`
  `void`
  `store(DBTraceObject value, LongField f)`
  Encode the given field value into the given field

  ### Methods inherited from class ghidra.util.database.DBCachedObjectStoreFactory.AbstractDBFieldCodec

  `getFieldType, getObjectType, getValue, getValueType, load, setValue, store`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.database.DBCachedObjectStoreFactory.DBFieldCodec

  `encodeField`

- ## Constructor Details

  - ### DBTraceObjectDBFieldCodec

    public DBTraceObjectDBFieldCodec(Class<OV> objectType, Field field, int column)

- ## Method Details

  - ### encode

    protected static long encode(DBTraceObject value)

  - ### decode

    protected static DBTraceObject decode(ghidra.trace.database.target.TraceObjectValueStorage ent, long enc)

  - ### store

    public void store(DBTraceObject value, LongField f)
    Description copied from interface: `DBCachedObjectStoreFactory.DBFieldCodec`
    Encode the given field value into the given field
    Parameters:
      `value` - the value
      `f` - the field

  - ### doStore

    protected void doStore(OV obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.store(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doStore` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<DBTraceObject,OV extends DBAnnotatedObject & ghidra.trace.database.target.TraceObjectValueStorage,LongField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`

  - ### doLoad

    protected void doLoad(OV obj, DBRecord record) throws IllegalArgumentException, IllegalAccessException
    Description copied from class: `DBCachedObjectStoreFactory.AbstractDBFieldCodec`
    Same as `DBCachedObjectStoreFactory.AbstractDBFieldCodec.load(DBAnnotatedObject, DBRecord)`, but permits exceptions
    Specified by:
      `doLoad` in class `DBCachedObjectStoreFactory.AbstractDBFieldCodec<DBTraceObject,OV extends DBAnnotatedObject & ghidra.trace.database.target.TraceObjectValueStorage,LongField>`
    Throws:
      `IllegalArgumentException`
      `IllegalAccessException`